summaryrefslogtreecommitdiffstats
path: root/abs/core/gperf/gperf.install
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-12 22:49:10 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-12 22:49:10 (GMT)
commit243051426ca229be2b23965a3d86cf5d7f034e27 (patch)
treebb7fd9bfc1a2443eac237bcd5b380f4650ebe286 /abs/core/gperf/gperf.install
parent22477e145e888305260a02678be2623bede8ea86 (diff)
downloadlinhes_pkgbuild-243051426ca229be2b23965a3d86cf5d7f034e27.zip
linhes_pkgbuild-243051426ca229be2b23965a3d86cf5d7f034e27.tar.gz
linhes_pkgbuild-243051426ca229be2b23965a3d86cf5d7f034e27.tar.bz2
gperf: up to latest
Diffstat (limited to 'abs/core/gperf/gperf.install')
-rw-r--r--abs/core/gperf/gperf.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/abs/core/gperf/gperf.install b/abs/core/gperf/gperf.install
new file mode 100644
index 0000000..1c20e2f
--- /dev/null
+++ b/abs/core/gperf/gperf.install
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gperf.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}